﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Default.aspx.cs" Inherits="_Default" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Northwind termékek</title>
</head>
<body>
    <form id="form1" runat="server">
        <asp:ScriptManager ID="ScriptManager1" runat="server" />
			<h1>Katalógus</h1>
			<asp:UpdateProgress ID="uprBrowse" runat="server" AssociatedUpdatePanelID="upnlBrowse"
				DisplayAfter="50" DynamicLayout="False">
				<ProgressTemplate>
					<strong>
						<img src="Progress.gif" style="vertical-align: middle" />
						Kategória termékeinek frissítése... </strong>
				</ProgressTemplate>
			</asp:UpdateProgress>
			<asp:UpdatePanel ID="upnlBrowse" runat="server">
				<ContentTemplate>
			<asp:SqlDataSource ID="sdsCategories" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
				SelectCommand="SELECT * FROM [Categories]" DeleteCommand="DELETE FROM [Categories] WHERE [CategoryID] = @CategoryID" InsertCommand="INSERT INTO [Categories] ([CategoryName], [Description]) VALUES (@CategoryName, @Description)" UpdateCommand="UPDATE [Categories] SET [CategoryName] = @CategoryName, [Description] = @Description, [Picture] = @Picture WHERE [CategoryID] = @CategoryID">
				<DeleteParameters>
					<asp:Parameter Name="CategoryID" Type="Int32" />
				</DeleteParameters>
				<UpdateParameters>
					<asp:Parameter Name="CategoryName" Type="String" />
					<asp:Parameter Name="Description" Type="String" />
					<asp:Parameter Name="Picture" Type="Object" />
					<asp:Parameter Name="CategoryID" Type="Int32" />
				</UpdateParameters>
				<InsertParameters>
					<asp:Parameter Name="CategoryName" Type="String" />
					<asp:Parameter Name="Description" Type="String" />
				</InsertParameters>
			</asp:SqlDataSource>
			<asp:SqlDataSource ID="sdsProducts" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
				DeleteCommand="DELETE FROM [Products] WHERE [ProductID] = @ProductID" InsertCommand="INSERT INTO [Products] ([ProductName], [SupplierID], [CategoryID], [QuantityPerUnit], [UnitPrice], [UnitsInStock], [UnitsOnOrder], [ReorderLevel], [Discontinued]) VALUES (@ProductName, @SupplierID, @CategoryID, @QuantityPerUnit, @UnitPrice, @UnitsInStock, @UnitsOnOrder, @ReorderLevel, @Discontinued)"
				SelectCommand="SELECT ProductID, ProductName, SupplierID, CategoryID, QuantityPerUnit, UnitPrice, UnitsInStock, UnitsOnOrder, ReorderLevel, Discontinued FROM Products WHERE (CategoryID = @CategoryID)"
				UpdateCommand="UPDATE [Products] SET [ProductName] = @ProductName, [SupplierID] = @SupplierID, [CategoryID] = @CategoryID, [QuantityPerUnit] = @QuantityPerUnit, [UnitPrice] = @UnitPrice, [UnitsInStock] = @UnitsInStock, [UnitsOnOrder] = @UnitsOnOrder, [ReorderLevel] = @ReorderLevel, [Discontinued] = @Discontinued WHERE [ProductID] = @ProductID">
				<DeleteParameters>
					<asp:Parameter Name="ProductID" Type="Int32" />
				</DeleteParameters>
				<UpdateParameters>
					<asp:Parameter Name="ProductName" Type="String" />
					<asp:Parameter Name="SupplierID" Type="Int32" />
					<asp:Parameter Name="CategoryID" Type="Int32" />
					<asp:Parameter Name="QuantityPerUnit" Type="String" />
					<asp:Parameter Name="UnitPrice" Type="Decimal" />
					<asp:Parameter Name="UnitsInStock" Type="Int16" />
					<asp:Parameter Name="UnitsOnOrder" Type="Int16" />
					<asp:Parameter Name="ReorderLevel" Type="Int16" />
					<asp:Parameter Name="Discontinued" Type="Boolean" />
					<asp:Parameter Name="ProductID" Type="Int32" />
				</UpdateParameters>
				<SelectParameters>
					<asp:ControlParameter ControlID="ddlCategories" Name="CategoryID" PropertyName="SelectedValue" />
				</SelectParameters>
				<InsertParameters>
					<asp:Parameter Name="ProductName" Type="String" />
					<asp:Parameter Name="SupplierID" Type="Int32" />
					<asp:Parameter Name="CategoryID" Type="Int32" />
					<asp:Parameter Name="QuantityPerUnit" Type="String" />
					<asp:Parameter Name="UnitPrice" Type="Decimal" />
					<asp:Parameter Name="UnitsInStock" Type="Int16" />
					<asp:Parameter Name="UnitsOnOrder" Type="Int16" />
					<asp:Parameter Name="ReorderLevel" Type="Int16" />
					<asp:Parameter Name="Discontinued" Type="Boolean" />
				</InsertParameters>
			</asp:SqlDataSource>
					<table>
						<tr>
							<td>
								Kategória: &nbsp;&nbsp;&nbsp;<asp:DropDownList ID="ddlCategories" runat="server" AutoPostBack="True"
				DataSourceID="sdsCategories" DataTextField="CategoryName" DataValueField="CategoryID">
			</asp:DropDownList></td>
							<td>
								<asp:DetailsView ID="DetailsView1" runat="server" AutoGenerateRows="False" CellPadding="4"
									DataKeyNames="CategoryID" DataSourceID="sdsCategories" DefaultMode="Insert" ForeColor="#333333"
									GridLines="None" HeaderText="Új kategória felvitele" Height="50px" Width="125px">
									<FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
									<CommandRowStyle BackColor="#FFFFC0" Font-Bold="True" />
									<RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
									<PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
									<Fields>
										<asp:BoundField DataField="CategoryID" HeaderText="CategoryID" InsertVisible="False"
											ReadOnly="True" SortExpression="CategoryID" />
										<asp:BoundField DataField="CategoryName" HeaderText="CategoryName" SortExpression="CategoryName" />
										<asp:BoundField DataField="Description" HeaderText="Description" InsertVisible="False"
											SortExpression="Description" />
										<asp:CommandField ShowCancelButton="False" ShowInsertButton="True" />
									</Fields>
									<FieldHeaderStyle BackColor="#FFFF99" Font-Bold="True" />
									<HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
									<AlternatingRowStyle BackColor="White" />
								</asp:DetailsView>
							</td>
						</tr>
					</table>
					&nbsp;&nbsp;
        <div>
					<asp:GridView ID="gvProductList" runat="server" AllowPaging="True" AutoGenerateColumns="False"
						DataKeyNames="ProductID" DataSourceID="sdsProducts" PageSize="5" AllowSorting="True" CellPadding="4" ForeColor="#333333" GridLines="None" EmptyDataText="A kategóriában még nincs termék!">
						<Columns>
							<asp:CommandField ShowEditButton="True" />
							<asp:BoundField DataField="ProductID" HeaderText="ProductID" InsertVisible="False"
								ReadOnly="True" SortExpression="ProductID" />
							<asp:BoundField DataField="ProductName" HeaderText="ProductName" SortExpression="ProductName" />
							<asp:BoundField DataField="SupplierID" HeaderText="SupplierID" SortExpression="SupplierID" />
							<asp:BoundField DataField="CategoryID" HeaderText="CategoryID" SortExpression="CategoryID" />
							<asp:BoundField DataField="QuantityPerUnit" HeaderText="QuantityPerUnit" SortExpression="QuantityPerUnit" />
							<asp:BoundField DataField="UnitPrice" HeaderText="UnitPrice" SortExpression="UnitPrice" />
							<asp:BoundField DataField="UnitsInStock" HeaderText="UnitsInStock" SortExpression="UnitsInStock" />
							<asp:BoundField DataField="UnitsOnOrder" HeaderText="UnitsOnOrder" SortExpression="UnitsOnOrder" />
							<asp:BoundField DataField="ReorderLevel" HeaderText="ReorderLevel" SortExpression="ReorderLevel" />
							<asp:CheckBoxField DataField="Discontinued" HeaderText="Discontinued" SortExpression="Discontinued" />
						</Columns>
						<FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
						<RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
						<SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
						<PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
						<HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
						<AlternatingRowStyle BackColor="White" />
					</asp:GridView>
				</div>
				</ContentTemplate>
			</asp:UpdatePanel>
			<div>
					<br />
					<h1>Keresés</h1>
				<asp:UpdateProgress ID="uprSearch" runat="server" AssociatedUpdatePanelID="upnlSearch"
					DisplayAfter="50" DynamicLayout="False">
					<ProgressTemplate>
						<strong>
							<img src="Progress.gif" style="vertical-align: middle" />
							Keresés folyamatban...</strong><br />
					</ProgressTemplate>
				</asp:UpdateProgress>
				<asp:UpdatePanel ID="upnlSearch" runat="server">
					<ContentTemplate>
					Termék keresése:
					<asp:TextBox ID="txtSearch" runat="server" />&nbsp;<asp:Button ID="btnSearch" runat="server"
						Text="Keresés" /><br />
					<table>
						<tr>
							<td valign="top">
								<asp:GridView ID="gvSearch" runat="server" AutoGenerateColumns="False" DataKeyNames="ProductID"
									DataSourceID="sdsSearch" AllowSorting="True" CellPadding="4" ForeColor="#333333" GridLines="None" EmptyDataText="Nincs ilyen termékünk!">
									<Columns>
										<asp:BoundField DataField="ProductName" HeaderText="ProductName" SortExpression="ProductName" />
										<asp:CommandField ShowSelectButton="True" />
									</Columns>
									<FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
									<RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
									<SelectedRowStyle BackColor="#FFCC66" Font-Bold="True" ForeColor="Navy" />
									<PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
									<HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
									<AlternatingRowStyle BackColor="White" />
								</asp:GridView>
					<asp:SqlDataSource ID="sdsSearch" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
						SelectCommand="SELECT [ProductID], [ProductName] FROM [Products] WHERE ([ProductName] LIKE '%' + @ProductName + '%')">
						<SelectParameters>
							<asp:ControlParameter ControlID="txtSearch" Name="ProductName" PropertyName="Text"
								Type="String" />
						</SelectParameters>
					</asp:SqlDataSource>
							</td>
							<td valign="top">
								<asp:DetailsView ID="dvProductDetails" runat="server" AutoGenerateRows="False" DataKeyNames="ProductID"
									DataSourceID="sdsProduct" Height="50px" Width="125px" CellPadding="4" ForeColor="#333333" GridLines="None">
									<Fields>
										<asp:BoundField DataField="ProductID" HeaderText="ProductID" InsertVisible="False"
											ReadOnly="True" SortExpression="ProductID" />
										<asp:BoundField DataField="ProductName" HeaderText="ProductName" SortExpression="ProductName" />
										<asp:BoundField DataField="SupplierID" HeaderText="SupplierID" SortExpression="SupplierID" />
										<asp:BoundField DataField="CategoryID" HeaderText="CategoryID" SortExpression="CategoryID" />
										<asp:BoundField DataField="QuantityPerUnit" HeaderText="QuantityPerUnit" SortExpression="QuantityPerUnit" />
										<asp:BoundField DataField="UnitPrice" HeaderText="UnitPrice" SortExpression="UnitPrice" />
										<asp:BoundField DataField="UnitsInStock" HeaderText="UnitsInStock" SortExpression="UnitsInStock" />
										<asp:BoundField DataField="UnitsOnOrder" HeaderText="UnitsOnOrder" SortExpression="UnitsOnOrder" />
										<asp:BoundField DataField="ReorderLevel" HeaderText="ReorderLevel" SortExpression="ReorderLevel" />
										<asp:CheckBoxField DataField="Discontinued" HeaderText="Discontinued" SortExpression="Discontinued" />
									</Fields>
									<FooterStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
									<CommandRowStyle BackColor="#FFFFC0" Font-Bold="True" />
									<RowStyle BackColor="#FFFBD6" ForeColor="#333333" />
									<PagerStyle BackColor="#FFCC66" ForeColor="#333333" HorizontalAlign="Center" />
									<FieldHeaderStyle BackColor="#FFFF99" Font-Bold="True" />
									<HeaderStyle BackColor="#990000" Font-Bold="True" ForeColor="White" />
									<AlternatingRowStyle BackColor="White" />
								</asp:DetailsView>
								<asp:SqlDataSource ID="sdsProduct" runat="server" ConnectionString="<%$ ConnectionStrings:NorthwindConnectionString %>"
									SelectCommand="SELECT * FROM [Products] WHERE ([ProductID] = @ProductID)">
									<SelectParameters>
										<asp:ControlParameter ControlID="gvSearch" Name="ProductID" PropertyName="SelectedValue"
											Type="Int32" />
									</SelectParameters>
								</asp:SqlDataSource>
							</td>
						</tr>
					</table>
						<cc1:TextBoxWatermarkExtender ID="TextBoxWatermarkExtender1" runat="server" TargetControlID="txtSearch" WatermarkText="Írja ide a termék nevét" WatermarkCssClass="watermark" >
						</cc1:TextBoxWatermarkExtender>
					</ContentTemplate>
				</asp:UpdatePanel>
        </div>
    </form>
</body>
</html>
